Loading...
Searching...
No Matches
L4Re::Dataspace::F Struct Reference

Dataspace flags definitions. More...

`#include <dataspace>`

Collaboration diagram for L4Re::Dataspace::F:

## Public Types

enum | { Caching_shift = 4 }
enum | Flags { R = L4_FPAGE_RO , Ro = L4_FPAGE_RO , RW = L4_FPAGE_RW , W = L4_FPAGE_W , X = L4_FPAGE_X , RX = L4_FPAGE_RX , RWX = L4_FPAGE_RWX , Rights_mask = 0x0f , Normal = 0x00 , Cacheable = Normal , Bufferable = 0x10 , Uncacheable = 0x20 , Caching_mask = 0x30 }
| Flags for map operations. More...

## Detailed Description

Dataspace flags definitions.

Definition at line 57 of file dataspace.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
Caching_shift | shift value for caching flags

Definition at line 59 of file dataspace.

## Flags

enum L4Re::Dataspace::F::Flags

Flags for map operations.

A dataspace implementation must check the requested flags during the map and other operations against the dataspace rights.

Enumerator
R | Request read-only mapping.
Ro | Request read-only mapping.
RW | Request read-write mapping.
W | Request write-only mapping.
X | Request execute-only mapping.
RX | Request read-execute mapping.
RWX | Request read-write-execute mapping.
Rights_mask | All rights bits available for mappings.
Normal | Request normal (cached) memory mapping. This is the default if no other cache-related flag was specified.
Cacheable | Request normal memory mapping.
Bufferable | Request bufferable (write buffered) mappings.
Uncacheable | Request uncacheable memory mappings.
Caching_mask | Mask for caching flags.

Definition at line 70 of file dataspace.

The documentation for this struct was generated from the following file:

- l4/re/dataspace